NEO Sessions
Get session transcript
GET /sessions/{id}/messages
GET /sessions/{id}/messages
Returns all messages for a session, ordered by createdAt ascending. Caller must be a participant of the session, or have accessTechnicalEvents permission. costUsd, usageJson, and model are only included when the caller has reportAiPerformance.
Path parameters
idstringpathrequiredSession ID (client-minted UUIDv4)
Responses
200 — Successful operation
Response Example
{
"messages": [
{
"id": "string",
"sessionId": "string",
"type": "text",
"direction": "in",
"sender": null,
"to": [
{
"id": 1
}
],
"content": "string",
"attachments": [
null
],
"createdAt": "2026-01-01T12:00:00Z",
"costUsd": 1,
"usageJson": null,
"model": "string"
}
],
"success": true
}403 — Not a participant of this session
404 — Session not found